Skip to main content

Expanding resources

Some resources allow you to request additional information as an expanded resource by using the expands request parameter. When an object contains related data, you can expand it inline rather than making separate API calls.

The expands parameter is available on all GET requests.

Available expand parameters

ParameterDescriptionApplies to
sourcesExternal system referencesProducts, categories, companies, customers, contacts, clusters
parentParent resource in hierarchical structuresCompanies, customers, contacts, clusters
translationTranslated fields for all available languagesProducts, categories, clusters
order_itemsAll items within an orderOrders
order_items.productProduct data for each order itemOrders
addressesShipping and billing addressesOrders
clusterConfigCluster configuration settingsClusters
optionsAll options within a product clusterClusters
productsRelated productsClusters, pricesheets
defaultProductDefault product for a cluster or optionClusters, options
surchargesAdditional fees and surchargesProducts
inventoryBalanceStock levels and availabilityProducts
note

The expand parameters listed above represent only a subset of all available expansion options. For a complete list of available expand parameters for each entity, refer to the individual entity documentation pages.

Multiple expansions

Combine multiple expansions in a single request by separating them with commas:

GET /v2/products/123?expands=sources,parent,translation

See also